import { OnInit, ChangeDetectorRef, OnDestroy, EventEmitter } from '@angular/core';
import { Annotation } from '../../../data/annotation-set.model';
import { AnnotationStoreService } from '../../../data/annotation-store.service';
import { PdfService } from '../../../data/pdf.service';
import { EmLoggerService } from '../../../logging/em-logger.service';
import { PdfRenderService } from '../../../data/pdf-render.service';
export declare class ContextualToolbarComponent implements OnInit, OnDestroy {
    private annotationStoreService;
    private ref;
    private pdfRenderService;
    private pdfService;
    private log;
    toolPos: {
        left;
        top;
    };
    isShowToolbar: boolean;
    showDelete: boolean;
    annotation: Annotation;
    private contextualToolBarOptions;
    deletedAnnotation: EventEmitter<string>;
    constructor(annotationStoreService: AnnotationStoreService, ref: ChangeDetectorRef, pdfRenderService: PdfRenderService, pdfService: PdfService, log: EmLoggerService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    showToolBar(annotation: Annotation, showDelete?: boolean): void;
    getRelativePosition(annotationId: string): {
        left: number;
        top: number;
    };
    hideToolBar(): void;
    handleCommentBtnClick(): void;
    handleHighlightBtnClick(): void;
    handleDeleteBtnClick(): Promise<void>;
}
